VRPlatformVRPlatform
Apps

/apps

Get apps

GET
/apps
X-API-Key<token>

API key provided in dashboard

In: header

Query Parameters

search?string
category?string
type?string
limit?number
Default100
Range1 <= value <= 250
page?number
Default1
Range1 <= value

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://api.vrplatform.app/apps"
{
  "data": [
    {
      "id": "string",
      "name": "string",
      "icon": "string",
      "type": "string",
      "category": "string",
      "description": "string",
      "flows": [
        {
          "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
          "name": "string",
          "type": "push",
          "left": "string",
          "right": "string"
        }
      ],
      "extractors": [
        {
          "name": "string",
          "sync": "full",
          "visible": true,
          "isDateRangeFetchable": true,
          "dateRangeMethod": "checkIn/checkOut",
          "params": {
            "type": "object",
            "properties": {
              "uniqueRef": {
                "type": "string"
              }
            },
            "additionalProperties": false
          },
          "urlExample": "string",
          "allowConfirmationCode": true
        }
      ],
      "importers": [
        {
          "docsLink": "string",
          "uniqueRef": "string",
          "description": "string",
          "types": [
            "string"
          ]
        }
      ]
    }
  ],
  "pagination": {
    "limit": 100,
    "page": 1,
    "total": 0,
    "totalPage": 0,
    "nextPage": 0
  }
}
{
  "code": "string",
  "message": "string",
  "issues": [
    {
      "message": "string"
    }
  ],
  "context": null
}
{
  "code": "string",
  "message": "string",
  "issues": [
    {
      "message": "string"
    }
  ],
  "context": null
}
{
  "code": "string",
  "message": "string",
  "issues": [
    {
      "message": "string"
    }
  ],
  "context": null
}
{
  "code": "string",
  "message": "string",
  "issues": [
    {
      "message": "string"
    }
  ],
  "context": null
}
{
  "code": "string",
  "message": "string",
  "issues": [
    {
      "message": "string"
    }
  ],
  "context": null
}